## ylva 1.6

=== Makefile ===
CC?=gcc
CFLAGS?=-g
CFLAGS+=-std=c99 -Wall
PREFIX?=/usr/
MANDIR?=$(PREFIX)/share/man
LIBS=-lcrypto -lsqlite3 -lrt
PROG=ylva
OBJS=$(patsubst %.c, %.o, $(wildcard *.c))
HEADERS=$(wildcard *.h)

all: $(PROG)

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c $< -o $@

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDFLAGS) $(LIBS) -o $@

clean:
	rm -f *.o
	rm -f $(PROG)

DESTBINDIR = $(DESTDIR)$(PREFIX)/bin
install: all
	if [ ! -d $(DESTDIR)$(MANDIR)/man1 ];then	\
		mkdir -p $(DESTDIR)$(MANDIR)/man1;	\
	fi
	install -m644 ylva.1 $(DESTDIR)$(MANDIR)/man1/
	gzip -f $(DESTDIR)$(MANDIR)/man1/ylva.1
	if [ ! -d $(DESTBINDIR) ] ; then \
		mkdir -p $(DESTBINDIR) ; \
	fi
	install -m755 ylva $(DESTBINDIR)/

uninstall:
	rm $(PREFIX)/bin/ylva
	rm $(DESTDIR)$(MANDIR)/man1/ylva.1.gz

=== debian/changelog ===
ylva (1.6-3) unstable; urgency=medium

  * source only upload

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 15 Jun 2020 14:40:56 +0000

ylva (1.6-2) unstable; urgency=low

  * debian/control:
      - Bumped DH level to 13.
  * debian/tests/control:
      - Added to perform a test.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 28 May 2020 02:02:18 +0000

ylva (1.6-1) unstable; urgency=low

  * Initial release (Closes: #956558)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 18 Apr 2020 03:20:13 +0000

=== debian/control ===
Source: ylva
Section: utils
Priority: optional
Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13),
               libsqlite3-dev,
               libssl-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/nrosvall/ylva
Vcs-Browser: https://salsa.debian.org/debian/ylva
Vcs-Git: https://salsa.debian.org/debian/ylva.git

Package: ylva
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line password manager
 Ylva is an old Swedish female name, it means "she-wolf" a derivative
 of Old Norse úlfr. When it comes to the password manager, before the
 release 1.4, Ylva was known as Titan.
 .
 Password management belongs to the command line, deep into the Unix
 heartland, the shell. Ylva makes managing passwords easy and secure.
 It's a traditional command line software written in C. Ylva is very
 portable and should run fine on most Unix-like operating systems.
 Ylva is mainly developed on Linux.
 .
 Command line password manager is useful. You may choose to run it on
 a remote server to make your passwords available remotely (over SSH
 etc.). No need to sync your password database between machines.
 .
 Ylva uses OpenSSL (or LibreSSL) for encryption. For password database
 SQLite is used. Ylva encrypts the database using AES with 256 keys.
 Encrypted database is authenticated using HMAC. For key generation
 PKBDF2-SHA256 is used with 200 000 iterations.
 .
 Ylva does not stay running, so possible plain text passwords are not
 in memory except for a very short while. For example, running command
 ylva --auto-encrypt --list-all would list all the password entries,
 encrypt the database and then exit. Plain text passwords will be in
 memory only couple of seconds. This makes it very hard for malware
 to steal them.
 .
 When the database is decrypted, it's readable only by the owner
 (chmod 600). Ylva does that automatically for the database file
 so you don't have to change the permissions.

=== debian/tests/control ===
Test-Command: HOME=$AUTOPKGTEST_TMP;
              ylva -i --auto-encrypt;
              (echo title; echo username; echo url; echo notes) | ylva -a;

=== debian/watch ===
version=4
https://github.com/nrosvall/ylva/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## ylva 1.7

=== src/Makefile ===
CC?=gcc
CFLAGS?=-g
CFLAGS+=-std=c11 -Wall
PREFIX?=/usr/
MANDIR?=$(PREFIX)/share/man
LIBS=-lcrypto -lsqlite3 -lqrcodegen -lrt
PROG=ylva
OBJS=$(patsubst %.c, %.o, $(sort $(wildcard *.c)))
HEADERS=$(wildcard *.h)

all: $(PROG)

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c $< -o $@

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDFLAGS) $(LIBS) -o $@

clean:
	rm -f *.o
	rm -f $(PROG)

DESTBINDIR = $(DESTDIR)$(PREFIX)/bin
install: all
	if [ ! -d $(DESTDIR)$(MANDIR)/man1 ];then	\
		mkdir -p $(DESTDIR)$(MANDIR)/man1;	\
	fi
	install -m644 ylva.1 $(DESTDIR)$(MANDIR)/man1/
	gzip -f $(DESTDIR)$(MANDIR)/man1/ylva.1
	if [ ! -d $(DESTBINDIR) ] ; then \
		mkdir -p $(DESTBINDIR) ; \
	fi
	install -m755 ylva $(DESTBINDIR)/

uninstall:
	rm $(PREFIX)/bin/ylva
	rm $(DESTDIR)$(MANDIR)/man1/ylva.1.gz

=== debian/changelog ===
ylva (1.7-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:11 +1100

ylva (1.7-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:19:58 +0000

ylva (1.7-2) unstable; urgency=medium

  * Update the search rule in debian/watch.
  * Run wrap-and-sort -a.
  * Update my email address.
  * Update upstream and packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 07 Mar 2022 01:50:15 +0000

ylva (1.7-1) unstable; urgency=medium

  * New upstream version 1.7.
  * Bump Standards-Version to 4.6.0.
  * debian/control: add new build dependency 'libqrcodegen-dev'.
  * debian/patches/Makefile.patch: refresh and modify the patch.
  * debian/rules: add the --sourcedirectory option from dh.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 14 Sep 2021 13:50:22 +0000

ylva (1.6-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1.
  * Update debian/watch.
  * debian/gbp.conf: replace debian/master with debian/latest.
  * debian/upstream/metadata: created.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 16 Aug 2021 23:55:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: ylva
 Section: utils
 Priority: optional
-Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               libqrcodegen-dev,
                libsqlite3-dev,
                libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/nrosvall/ylva
 Vcs-Browser: https://salsa.debian.org/debian/ylva
@@ -13,7 +15,8 @@
 
 Package: ylva
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: command line password manager
  Ylva is an old Swedish female name, it means "she-wolf" a derivative
  of Old Norse úlfr. When it comes to the password manager, before the

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

=== debian/watch ===
version=4
https://github.com/nrosvall/ylva/tags .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
